kubernetesAffinity:
  # -- Whether to enable Kubernetes affinity rules.
  enabled: false

# -- System toleration key name.
systemTolerationKeyName: CriticalAddonsOnly
# -- System toleration value name.
systemTolerationValueName: "true"

tolerations:
  customer:
    # -- Toleration key for customer workloads.
    key: "dedicated"
    # -- Toleration value for customer workloads.
    value: "user-workload"
  system:
    # -- Toleration key for system workloads.
    key: "CriticalAddonsOnly"
    # -- Toleration value for system workloads.
    value: "true"

# -- Image pull secret name.
imagePullSecret: "nvcrimagepullsecret"

dgxcController:
  # -- Number of the DGX Cloud Admission Controller replicas to deploy.
  replicas: 1
  # -- Container image for the DGX Cloud Admission Controller.
  image: ""

webhooks:
  # -- Registered webhooks. Do not modify.
  registeredWebhooks:
    - name: dgxc-create-pvc-vwh
      enabled: false
    - name: dgxc-create-pvc-mwh
      enabled: false
    - name: dgxc-create-pod-mwh
      enabled: true
    - name: dgxc-create-nvsl-vwh
      enabled: false
    - name: dgxc-create-multi-namespace-pvc-mwh
      enabled: false

  # -- Pod mutating webhook configuration. Do not modify.
  podMutatingWebhook:
    customSettings:
      - name: modify-pod-rule
        addRdmaEnabled: true
        rdmaResourcePerGpu: 2
        networkAttachmentDefinition: network-operator/sriov-net
        rdmaResourceName: nvidia.com/mlnxnics
        addNcclVars: true
        csp: "oci"

# -- Whether to enable integrations support. Do not modify.
enableIntegrationsSupport: false
# -- Whether to enable labeler. Do not modify.
enableLabeler: false
# -- Whether to enable Run:AI RBAC. Do not modify.
enableRunAIRbac: false
# -- Whether to enable network policies. Do not modify.
enableNetworkPolicies: false
# -- Whether to enable DGX CRBAC. Do not modify.
enableDGXCRbac: false
# -- Whether to enable DGX CA bootstrap. Do not modify.
enableDGXCAPIBootstrap: false
# -- Whether to enable service monitor. Do not modify.
enableServiceMonitor: false

cloudProviderSpec:
  # -- Specifies the cloud provider type.
  type: oci
  oci:
    # -- Specifies the resource principal version.
    resourcePrincipalVersion: "2.2"

storageControllerSpecOCI:
  # -- Whether to enable the storage controller.
  enabled: false

enabledComponents:
  # -- Whether to enable the DGX Cloud Admission Controller.
  dgxcAdmissionController: true
  # -- Whether to enable the DGX Cloud Run:AI Controller.
  dgxcRunaiController: false
  # -- Whether to enable the DGX Cloud Exporter.
  dgxcExporter: false